Subject: [TLS] ECH interim Meeting Poll

From: Joseph Salowey <[email-masked]>
Date: Tue, 16 Mar 2021 09:37:18 -0700

The chairs would like to have an interim to work on open issues for ECH.
We are targeting the week of March 31 (Wednesday - Friday).   Please fill
out the following with your available times if you are interested in
attending:

https://doodle.com/poll/24533u56vspp29vp?utm_source=poll&utm_medium=link

Please respond by March 18.

Thanks,

Joe and Sean